% pdcon: design a PD controller (analog)
function [k, a, scl] = pdcon( zeta, wn, L)
scl = wn*exp( j*( pi-acos(zeta) ) ); % Find the desired closed-loop pole location.
theta = pi - angle( evalfr( L, scl) ) ; % Calculate the controller angle.
a = wn * sqrt(1-zeta^2)/ tan(theta) + zeta*wn; % Calculate the controller zero.
Lcomp = L*tf([1, a],1) ; % Include the controller zero.
k = 1/abs( evalfr( Lcomp, scl) ); % Calculate the gain that yields the desired pole.